DOM::Rect class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::Rect Class Reference

The `Rect` interface is used to represent any rect value. More...

`#include <css_value.h>`

List of all members.

## Public Member Functions
| Rect (const Rect &other)
Rect & | operator= (const Rect &other)
CSSPrimitiveValue | top () const
| This attribute is used for the top of the rect.
CSSPrimitiveValue | right () const
| This attribute is used for the right of the rect.
CSSPrimitiveValue | bottom () const
| This attribute is used for the bottom of the rect.
CSSPrimitiveValue | left () const
| This attribute is used for the left of the rect.
RectImpl * | handle () const
bool | isNull () const
## Protected Member Functions
| Rect (RectImpl *i)
## Protected Attributes
RectImpl * | impl
## Friends
class | CSSPrimitiveValue

## Detailed Description

The `Rect` interface is used to represent any rect value.

This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

Definition at line 634 of file css_value.h.

## Member Function Documentation

CSSPrimitiveValue Rect::top | ( |  | ) | const

| This attribute is used for the top of the rect. Definition at line 552 of file css_value.cpp.

CSSPrimitiveValue Rect::right | ( |  | ) | const

| This attribute is used for the right of the rect. Definition at line 558 of file css_value.cpp.

CSSPrimitiveValue Rect::bottom | ( |  | ) | const

| This attribute is used for the bottom of the rect. Definition at line 564 of file css_value.cpp.

CSSPrimitiveValue Rect::left | ( |  | ) | const

| This attribute is used for the left of the rect. Definition at line 570 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001